Description

It would be useful to be able to know more about a user than just their name (ident and host).

For example, tracking and parsing user modes would allow us to limit certain commands to only operators on a channel.
This will require adding support for accessing Hecate's Core or Hook class from Core plugins (to allow tracking without ending up
with a dependency on IRC connections).

History

#1 - February 10, 2016 04:17 PM - ChalamiuS

Because of the synchronous events in #161 there might be no need for this module to be able to access the core any more, which is a good thing.

#2 - February 10, 2016 04:18 PM - ChalamiuS

- Target version set to 0.1 (Enodia)

#3 - February 18, 2016 04:39 PM - ChalamiuS

- Status changed from New to Assigned

To keep track of user modes the module would have to keep track of the following things:

JOIN (add the user to context without any modes)

PART & QUIT & KICK (remove the user from context)

MODE (updating user modes)

NAMES (353 & 366 for loading modes from users that are already there)

"Shortcuts" for getting user and channel context from a message should be added to the ModuleBase class so that the classes don't have to
implement calls to Hooks.request on their own.
